using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Drawing.Drawing2D;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Chart;

namespace ChartAxesSample
{
    public partial class Form1 : Form
    {
    
        ChartAxis axis0 = new ChartAxis();
        ChartAxis axis1 = new ChartAxis();
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            InitializeChartData();
            this.chartControl1.ShowLegend = false;
        }

        private void InitializeChartData()
        {
            DateTime start = new DateTime(2007, 1, 1);
            DateTime rand = DateTime.Now;          
           
            axis0.AutoSize = false;
            axis1.AutoSize = false;
            axis0.Orientation = ChartOrientation.Vertical;
            axis1.Orientation = ChartOrientation.Vertical;
            axis0.RangeType = ChartAxisRangeType.Set;
            axis1.RangeType = ChartAxisRangeType.Set;
            axis0.Range = new MinMaxInfo(9, 13, 1);
            axis1.Range = new MinMaxInfo(0, 5, 1);

            this.chartControl1.Axes.Add(axis0);
            this.chartControl1.Axes.Add(axis1); 
           
            ChartSeries series0 = this.chartControl1.Model.NewSeries(" Server 1");
            series0.Text = series0.Name;
            series0.Type = ChartSeriesType.StepLine;          

            ChartPoint chartPoint0 = new ChartPoint(new DateTime(2007, 1, 2), 10);
            ChartPoint chartPoint1 = new ChartPoint(new DateTime(2007, 1, 4), 12);
            ChartPoint chartPoint2 = new ChartPoint(new DateTime(2007, 1, 6), 10);
            ChartPoint chartPoint3 = new ChartPoint(new DateTime(2007, 1, 8), 12);
            ChartPoint chartPoint4 = new ChartPoint(new DateTime(2007, 1, 10), 10);
            ChartPoint chartPoint5 = new ChartPoint(new DateTime(2007, 1, 12), 12);

            series0.Points.Add(chartPoint0);
            series0.Points.Add(chartPoint1);
            series0.Points.Add(chartPoint2);
            series0.Points.Add(chartPoint3);
            series0.Points.Add(chartPoint4); 

            ChartSeries series1 = this.chartControl1.Model.NewSeries(" Server 2");
            series1.Text = series1.Name;           
            series1.Type = ChartSeriesType.StepLine;
          
            chartPoint0 = new ChartPoint(new DateTime(2007, 1, 1), 4);
            chartPoint1 = new ChartPoint(new DateTime(2007, 1, 3), 3);
            chartPoint2 = new ChartPoint(new DateTime(2007, 1, 5), 2);
            chartPoint3 = new ChartPoint(new DateTime(2007, 1, 9), 1);
            chartPoint4 = new ChartPoint(new DateTime(2007, 1, 10), 4);
            
            series1.Points.Add(chartPoint0);
            series1.Points.Add(chartPoint1);
            series1.Points.Add(chartPoint2);
            series1.Points.Add(chartPoint3);
            series1.Points.Add(chartPoint4);
           
            this.chartControl1.Series.Add(series0);
            this.chartControl1.Series.Add(series1);
            series0.YAxis = axis0;
            series1.YAxis = axis1;
            series0.YAxis.Title = series0.Name;
            series1.YAxis.Title = series1.Name;
            axis0.LineType.ForeColor = Color.Red;
            axis1.LineType.ForeColor = Color.Green;
            axis0.LineType.Width = 2;
            axis1.LineType.Width = 2;            
            series0.Style.Interior = new Syncfusion.Drawing.BrushInfo(Color.Red);
            series1.Style.Interior = new Syncfusion.Drawing.BrushInfo(Color.Green);
            this.chartControl1.Model.Series[0].LegendItem.Type = ChartLegendItemType.Circle;
            this.chartControl1.PrimaryYAxis.TickLabelsDrawingMode = ChartAxisTickLabelDrawingMode.UserMode;
            this.chartControl1.PrimaryYAxis.RangeType = ChartAxisRangeType.Set;

            this.chartControl1.PrimaryXAxis.ValueType = ChartValueType.DateTime;
            this.chartControl1.PrimaryXAxis.RangeType = ChartAxisRangeType.Set;
            this.chartControl1.PrimaryXAxis.DateTimeRange = new ChartDateTimeRange(start.AddDays(-1), start.AddDays(20), 3, ChartDateTimeIntervalType.Days);
            this.chartControl1.PrimaryXAxis.DateTimeFormat = "hh:mm:ss";
            this.chartControl1.PrimaryXAxis.LabelIntersectAction = ChartLabelIntersectAction.Rotate;
           
            this.chartControl1.PrimaryYAxis.ValueType = ChartValueType.Double;
            this.chartControl1.PrimaryYAxis.RangeType = ChartAxisRangeType.Auto;
           


            this.chartControl1.PrimaryXAxis.DrawGrid = false;
            this.chartControl1.PrimaryYAxis.DrawGrid = false; 
        }

        private void SetAxis()
        {
            if (this.chartControl1.Series.Count > 0)
            {
                this.chartControl1.ChartArea.ChartAreaMargins.Bottom = 30;
                this.chartControl1.ChartArea.ChartAreaMargins.Left = 30;

                axis0.LocationType = ChartAxisLocationType.Set;
                axis0.Location = new PointF(this.chartControl1.PrimaryXAxis.Location.X, this.chartControl1.PrimaryXAxis.Location.Y);
                axis0.AutoSize = false;
                axis0.Size = new SizeF(0, this.chartControl1.PrimaryYAxis.Size.Height);
                axis1.LocationType = ChartAxisLocationType.Set;
                axis1.Location = new PointF(this.chartControl1.PrimaryXAxis.Location.X-40, this.chartControl1.PrimaryXAxis.Location.Y);
                axis1.AutoSize = false;
                axis1.Size = new SizeF(0, this.chartControl1.PrimaryYAxis.Size.Height);
            }           
        }      

        private void dockingClientPanel1_Resize(object sender, EventArgs e)
        {
            this.chartControl1.ChartArea.BoundsByAxes = false;
            SetAxis();
        }

        private void chartControl1_Legend_LocationChanged(object sender, EventArgs e)
        {
            this.chartControl1.ChartArea.BoundsByAxes = false;
            SetAxis();
        }        

        private void Form1_SizeChanged(object sender, EventArgs e)
        {
            this.chartControl1.ChartArea.BoundsByAxes = false;
            SetAxis();
        }

        private void chartControl1_LayoutCompleted(object sender, EventArgs e)
        {

        }

    }
}